import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateReplicationSubnetGroupInput } from "../types/CreateReplicationSubnetGroupInput";
import { CreateReplicationSubnetGroupOutput } from "../types/CreateReplicationSubnetGroupOutput";
import { DatabaseMigrationServiceResolvedConfiguration } from "../DatabaseMigrationServiceConfiguration";
export * from "../types/CreateReplicationSubnetGroupInput";
export * from "../types/CreateReplicationSubnetGroupOutput";
export * from "../types/CreateReplicationSubnetGroupExceptionsUnion";
export declare class CreateReplicationSubnetGroupCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateReplicationSubnetGroupInput, OutputTypesUnion, CreateReplicationSubnetGroupOutput, DatabaseMigrationServiceResolvedConfiguration, Blob> {
    readonly input: CreateReplicationSubnetGroupInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateReplicationSubnetGroupInput, CreateReplicationSubnetGroupOutput, Blob>;
    constructor(input: CreateReplicationSubnetGroupInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DatabaseMigrationServiceResolvedConfiguration): __aws_sdk_types.Handler<CreateReplicationSubnetGroupInput, CreateReplicationSubnetGroupOutput>;
}
