import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeReplicationInstanceTaskLogsInput } from "../types/DescribeReplicationInstanceTaskLogsInput";
import { DescribeReplicationInstanceTaskLogsOutput } from "../types/DescribeReplicationInstanceTaskLogsOutput";
import { DatabaseMigrationServiceResolvedConfiguration } from "../DatabaseMigrationServiceConfiguration";
export * from "../types/DescribeReplicationInstanceTaskLogsInput";
export * from "../types/DescribeReplicationInstanceTaskLogsOutput";
export * from "../types/DescribeReplicationInstanceTaskLogsExceptionsUnion";
export declare class DescribeReplicationInstanceTaskLogsCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeReplicationInstanceTaskLogsInput, OutputTypesUnion, DescribeReplicationInstanceTaskLogsOutput, DatabaseMigrationServiceResolvedConfiguration, Blob> {
    readonly input: DescribeReplicationInstanceTaskLogsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeReplicationInstanceTaskLogsInput, DescribeReplicationInstanceTaskLogsOutput, Blob>;
    constructor(input: DescribeReplicationInstanceTaskLogsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DatabaseMigrationServiceResolvedConfiguration): __aws_sdk_types.Handler<DescribeReplicationInstanceTaskLogsInput, DescribeReplicationInstanceTaskLogsOutput>;
}
