"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeConnectionsInput_1 = require("../shapes/DescribeConnectionsInput");
var DescribeConnectionsOutput_1 = require("../shapes/DescribeConnectionsOutput");
var ResourceNotFoundFault_1 = require("../shapes/ResourceNotFoundFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeConnections = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeConnections",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeConnectionsInput_1.DescribeConnectionsInput
    },
    output: {
        shape: DescribeConnectionsOutput_1.DescribeConnectionsOutput
    },
    errors: [
        {
            shape: ResourceNotFoundFault_1.ResourceNotFoundFault
        }
    ]
};
//# sourceMappingURL=DescribeConnections.js.map