"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeTableStatisticsInput_1 = require("../shapes/DescribeTableStatisticsInput");
var DescribeTableStatisticsOutput_1 = require("../shapes/DescribeTableStatisticsOutput");
var ResourceNotFoundFault_1 = require("../shapes/ResourceNotFoundFault");
var InvalidResourceStateFault_1 = require("../shapes/InvalidResourceStateFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeTableStatistics = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeTableStatistics",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeTableStatisticsInput_1.DescribeTableStatisticsInput
    },
    output: {
        shape: DescribeTableStatisticsOutput_1.DescribeTableStatisticsOutput
    },
    errors: [
        {
            shape: ResourceNotFoundFault_1.ResourceNotFoundFault
        },
        {
            shape: InvalidResourceStateFault_1.InvalidResourceStateFault
        }
    ]
};
//# sourceMappingURL=DescribeTableStatistics.js.map