"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListTagsForResourceInput_1 = require("../shapes/ListTagsForResourceInput");
var ListTagsForResourceOutput_1 = require("../shapes/ListTagsForResourceOutput");
var ResourceNotFoundFault_1 = require("../shapes/ResourceNotFoundFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListTagsForResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListTagsForResource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListTagsForResourceInput_1.ListTagsForResourceInput
    },
    output: {
        shape: ListTagsForResourceOutput_1.ListTagsForResourceOutput
    },
    errors: [
        {
            shape: ResourceNotFoundFault_1.ResourceNotFoundFault
        }
    ]
};
//# sourceMappingURL=ListTagsForResource.js.map