"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RemoveTagsFromResourceInput_1 = require("../shapes/RemoveTagsFromResourceInput");
var RemoveTagsFromResourceOutput_1 = require("../shapes/RemoveTagsFromResourceOutput");
var ResourceNotFoundFault_1 = require("../shapes/ResourceNotFoundFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RemoveTagsFromResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RemoveTagsFromResource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RemoveTagsFromResourceInput_1.RemoveTagsFromResourceInput
    },
    output: {
        shape: RemoveTagsFromResourceOutput_1.RemoveTagsFromResourceOutput
    },
    errors: [
        {
            shape: ResourceNotFoundFault_1.ResourceNotFoundFault
        }
    ]
};
//# sourceMappingURL=RemoveTagsFromResource.js.map