"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._Certificate = {
    type: "structure",
    required: [],
    members: {
        CertificateIdentifier: {
            shape: {
                type: "string"
            }
        },
        CertificateCreationDate: {
            shape: {
                type: "timestamp"
            }
        },
        CertificatePem: {
            shape: {
                type: "string"
            }
        },
        CertificateWallet: {
            shape: {
                type: "blob"
            }
        },
        CertificateArn: {
            shape: {
                type: "string"
            }
        },
        CertificateOwner: {
            shape: {
                type: "string"
            }
        },
        ValidFromDate: {
            shape: {
                type: "timestamp"
            }
        },
        ValidToDate: {
            shape: {
                type: "timestamp"
            }
        },
        SigningAlgorithm: {
            shape: {
                type: "string"
            }
        },
        KeyLength: {
            shape: {
                type: "integer"
            }
        }
    }
};
//# sourceMappingURL=_Certificate.js.map