"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _AvailabilityZonesList_1 = require("./_AvailabilityZonesList");
exports._OrderableReplicationInstance = {
    type: "structure",
    required: [],
    members: {
        EngineVersion: {
            shape: {
                type: "string"
            }
        },
        ReplicationInstanceClass: {
            shape: {
                type: "string"
            }
        },
        StorageType: {
            shape: {
                type: "string"
            }
        },
        MinAllocatedStorage: {
            shape: {
                type: "integer"
            }
        },
        MaxAllocatedStorage: {
            shape: {
                type: "integer"
            }
        },
        DefaultAllocatedStorage: {
            shape: {
                type: "integer"
            }
        },
        IncludedAllocatedStorage: {
            shape: {
                type: "integer"
            }
        },
        AvailabilityZones: {
            shape: _AvailabilityZonesList_1._AvailabilityZonesList
        },
        ReleaseStatus: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_OrderableReplicationInstance.js.map