import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteReplicationTaskInput } from "../types/DeleteReplicationTaskInput";
import { DeleteReplicationTaskOutput } from "../types/DeleteReplicationTaskOutput";
import { DatabaseMigrationServiceResolvedConfiguration } from "../DatabaseMigrationServiceConfiguration";
export * from "../types/DeleteReplicationTaskInput";
export * from "../types/DeleteReplicationTaskOutput";
export * from "../types/DeleteReplicationTaskExceptionsUnion";
export declare class DeleteReplicationTaskCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteReplicationTaskInput, OutputTypesUnion, DeleteReplicationTaskOutput, DatabaseMigrationServiceResolvedConfiguration, Blob> {
    readonly input: DeleteReplicationTaskInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteReplicationTaskInput, DeleteReplicationTaskOutput, Blob>;
    constructor(input: DeleteReplicationTaskInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DatabaseMigrationServiceResolvedConfiguration): __aws_sdk_types.Handler<DeleteReplicationTaskInput, DeleteReplicationTaskOutput>;
}
