import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeEventsInput } from "../types/DescribeEventsInput";
import { DescribeEventsOutput } from "../types/DescribeEventsOutput";
import { DatabaseMigrationServiceResolvedConfiguration } from "../DatabaseMigrationServiceConfiguration";
export * from "../types/DescribeEventsInput";
export * from "../types/DescribeEventsOutput";
export * from "../types/DescribeEventsExceptionsUnion";
export declare class DescribeEventsCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeEventsInput, OutputTypesUnion, DescribeEventsOutput, DatabaseMigrationServiceResolvedConfiguration, Blob> {
    readonly input: DescribeEventsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeEventsInput, DescribeEventsOutput, Blob>;
    constructor(input: DescribeEventsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DatabaseMigrationServiceResolvedConfiguration): __aws_sdk_types.Handler<DescribeEventsInput, DescribeEventsOutput>;
}
