import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribePendingMaintenanceActionsInput } from "../types/DescribePendingMaintenanceActionsInput";
import { DescribePendingMaintenanceActionsOutput } from "../types/DescribePendingMaintenanceActionsOutput";
import { DatabaseMigrationServiceResolvedConfiguration } from "../DatabaseMigrationServiceConfiguration";
export * from "../types/DescribePendingMaintenanceActionsInput";
export * from "../types/DescribePendingMaintenanceActionsOutput";
export * from "../types/DescribePendingMaintenanceActionsExceptionsUnion";
export declare class DescribePendingMaintenanceActionsCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribePendingMaintenanceActionsInput, OutputTypesUnion, DescribePendingMaintenanceActionsOutput, DatabaseMigrationServiceResolvedConfiguration, Blob> {
    readonly input: DescribePendingMaintenanceActionsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribePendingMaintenanceActionsInput, DescribePendingMaintenanceActionsOutput, Blob>;
    constructor(input: DescribePendingMaintenanceActionsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DatabaseMigrationServiceResolvedConfiguration): __aws_sdk_types.Handler<DescribePendingMaintenanceActionsInput, DescribePendingMaintenanceActionsOutput>;
}
