import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeSchemasInput } from "../types/DescribeSchemasInput";
import { DescribeSchemasOutput } from "../types/DescribeSchemasOutput";
import { DatabaseMigrationServiceResolvedConfiguration } from "../DatabaseMigrationServiceConfiguration";
export * from "../types/DescribeSchemasInput";
export * from "../types/DescribeSchemasOutput";
export * from "../types/DescribeSchemasExceptionsUnion";
export declare class DescribeSchemasCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeSchemasInput, OutputTypesUnion, DescribeSchemasOutput, DatabaseMigrationServiceResolvedConfiguration, Blob> {
    readonly input: DescribeSchemasInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeSchemasInput, DescribeSchemasOutput, Blob>;
    constructor(input: DescribeSchemasInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DatabaseMigrationServiceResolvedConfiguration): __aws_sdk_types.Handler<DescribeSchemasInput, DescribeSchemasOutput>;
}
