"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ApplyPendingMaintenanceActionInput_1 = require("../shapes/ApplyPendingMaintenanceActionInput");
var ApplyPendingMaintenanceActionOutput_1 = require("../shapes/ApplyPendingMaintenanceActionOutput");
var ResourceNotFoundFault_1 = require("../shapes/ResourceNotFoundFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ApplyPendingMaintenanceAction = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ApplyPendingMaintenanceAction",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ApplyPendingMaintenanceActionInput_1.ApplyPendingMaintenanceActionInput
    },
    output: {
        shape: ApplyPendingMaintenanceActionOutput_1.ApplyPendingMaintenanceActionOutput
    },
    errors: [
        {
            shape: ResourceNotFoundFault_1.ResourceNotFoundFault
        }
    ]
};
//# sourceMappingURL=ApplyPendingMaintenanceAction.js.map