"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteEventSubscriptionInput_1 = require("../shapes/DeleteEventSubscriptionInput");
var DeleteEventSubscriptionOutput_1 = require("../shapes/DeleteEventSubscriptionOutput");
var ResourceNotFoundFault_1 = require("../shapes/ResourceNotFoundFault");
var InvalidResourceStateFault_1 = require("../shapes/InvalidResourceStateFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteEventSubscription = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteEventSubscription",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteEventSubscriptionInput_1.DeleteEventSubscriptionInput
    },
    output: {
        shape: DeleteEventSubscriptionOutput_1.DeleteEventSubscriptionOutput
    },
    errors: [
        {
            shape: ResourceNotFoundFault_1.ResourceNotFoundFault
        },
        {
            shape: InvalidResourceStateFault_1.InvalidResourceStateFault
        }
    ]
};
//# sourceMappingURL=DeleteEventSubscription.js.map