"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteReplicationInstanceInput_1 = require("../shapes/DeleteReplicationInstanceInput");
var DeleteReplicationInstanceOutput_1 = require("../shapes/DeleteReplicationInstanceOutput");
var InvalidResourceStateFault_1 = require("../shapes/InvalidResourceStateFault");
var ResourceNotFoundFault_1 = require("../shapes/ResourceNotFoundFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteReplicationInstance = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteReplicationInstance",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteReplicationInstanceInput_1.DeleteReplicationInstanceInput
    },
    output: {
        shape: DeleteReplicationInstanceOutput_1.DeleteReplicationInstanceOutput
    },
    errors: [
        {
            shape: InvalidResourceStateFault_1.InvalidResourceStateFault
        },
        {
            shape: ResourceNotFoundFault_1.ResourceNotFoundFault
        }
    ]
};
//# sourceMappingURL=DeleteReplicationInstance.js.map