"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteReplicationTaskInput_1 = require("../shapes/DeleteReplicationTaskInput");
var DeleteReplicationTaskOutput_1 = require("../shapes/DeleteReplicationTaskOutput");
var ResourceNotFoundFault_1 = require("../shapes/ResourceNotFoundFault");
var InvalidResourceStateFault_1 = require("../shapes/InvalidResourceStateFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteReplicationTask = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteReplicationTask",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteReplicationTaskInput_1.DeleteReplicationTaskInput
    },
    output: {
        shape: DeleteReplicationTaskOutput_1.DeleteReplicationTaskOutput
    },
    errors: [
        {
            shape: ResourceNotFoundFault_1.ResourceNotFoundFault
        },
        {
            shape: InvalidResourceStateFault_1.InvalidResourceStateFault
        }
    ]
};
//# sourceMappingURL=DeleteReplicationTask.js.map