"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeRefreshSchemasStatusInput_1 = require("../shapes/DescribeRefreshSchemasStatusInput");
var DescribeRefreshSchemasStatusOutput_1 = require("../shapes/DescribeRefreshSchemasStatusOutput");
var InvalidResourceStateFault_1 = require("../shapes/InvalidResourceStateFault");
var ResourceNotFoundFault_1 = require("../shapes/ResourceNotFoundFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeRefreshSchemasStatus = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeRefreshSchemasStatus",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeRefreshSchemasStatusInput_1.DescribeRefreshSchemasStatusInput
    },
    output: {
        shape: DescribeRefreshSchemasStatusOutput_1.DescribeRefreshSchemasStatusOutput
    },
    errors: [
        {
            shape: InvalidResourceStateFault_1.InvalidResourceStateFault
        },
        {
            shape: ResourceNotFoundFault_1.ResourceNotFoundFault
        }
    ]
};
//# sourceMappingURL=DescribeRefreshSchemasStatus.js.map