"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeReplicationSubnetGroupsInput_1 = require("../shapes/DescribeReplicationSubnetGroupsInput");
var DescribeReplicationSubnetGroupsOutput_1 = require("../shapes/DescribeReplicationSubnetGroupsOutput");
var ResourceNotFoundFault_1 = require("../shapes/ResourceNotFoundFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeReplicationSubnetGroups = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeReplicationSubnetGroups",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeReplicationSubnetGroupsInput_1.DescribeReplicationSubnetGroupsInput
    },
    output: {
        shape: DescribeReplicationSubnetGroupsOutput_1.DescribeReplicationSubnetGroupsOutput
    },
    errors: [
        {
            shape: ResourceNotFoundFault_1.ResourceNotFoundFault
        }
    ]
};
//# sourceMappingURL=DescribeReplicationSubnetGroups.js.map