"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RebootReplicationInstanceInput_1 = require("../shapes/RebootReplicationInstanceInput");
var RebootReplicationInstanceOutput_1 = require("../shapes/RebootReplicationInstanceOutput");
var ResourceNotFoundFault_1 = require("../shapes/ResourceNotFoundFault");
var InvalidResourceStateFault_1 = require("../shapes/InvalidResourceStateFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RebootReplicationInstance = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RebootReplicationInstance",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RebootReplicationInstanceInput_1.RebootReplicationInstanceInput
    },
    output: {
        shape: RebootReplicationInstanceOutput_1.RebootReplicationInstanceOutput
    },
    errors: [
        {
            shape: ResourceNotFoundFault_1.ResourceNotFoundFault
        },
        {
            shape: InvalidResourceStateFault_1.InvalidResourceStateFault
        }
    ]
};
//# sourceMappingURL=RebootReplicationInstance.js.map