"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _SubnetIdentifierList_1 = require("./_SubnetIdentifierList");
var _TagList_1 = require("./_TagList");
exports.CreateReplicationSubnetGroupInput = {
    type: "structure",
    required: [
        "ReplicationSubnetGroupIdentifier",
        "ReplicationSubnetGroupDescription",
        "SubnetIds"
    ],
    members: {
        ReplicationSubnetGroupIdentifier: {
            shape: {
                type: "string"
            }
        },
        ReplicationSubnetGroupDescription: {
            shape: {
                type: "string"
            }
        },
        SubnetIds: {
            shape: _SubnetIdentifierList_1._SubnetIdentifierList
        },
        Tags: {
            shape: _TagList_1._TagList
        }
    }
};
//# sourceMappingURL=CreateReplicationSubnetGroupInput.js.map