"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _TagList_1 = require("./_TagList");
exports.CreateReplicationTaskInput = {
    type: "structure",
    required: [
        "ReplicationTaskIdentifier",
        "SourceEndpointArn",
        "TargetEndpointArn",
        "ReplicationInstanceArn",
        "MigrationType",
        "TableMappings"
    ],
    members: {
        ReplicationTaskIdentifier: {
            shape: {
                type: "string"
            }
        },
        SourceEndpointArn: {
            shape: {
                type: "string"
            }
        },
        TargetEndpointArn: {
            shape: {
                type: "string"
            }
        },
        ReplicationInstanceArn: {
            shape: {
                type: "string"
            }
        },
        MigrationType: {
            shape: {
                type: "string"
            }
        },
        TableMappings: {
            shape: {
                type: "string"
            }
        },
        ReplicationTaskSettings: {
            shape: {
                type: "string"
            }
        },
        CdcStartTime: {
            shape: {
                type: "timestamp"
            }
        },
        CdcStartPosition: {
            shape: {
                type: "string"
            }
        },
        CdcStopPosition: {
            shape: {
                type: "string"
            }
        },
        Tags: {
            shape: _TagList_1._TagList
        }
    }
};
//# sourceMappingURL=CreateReplicationTaskInput.js.map